QUICK NEWS

{NEW} - A new tutorial for Github is ready for your veiwing in the articles section.

{OLD} -New boards have been introduced. Stop on in and check it out.

Video of the week


Internal Links

SMF Sites

Quick Info

Repairing code on your forum

Started by beast, Aug 04, 2019, 01:23 PM

Previous topic - Next topic

0 Members and 1 Guest are viewing this topic.

beast

Aug 04, 2019, 01:23 PM Last Edit: Aug 05, 2019, 08:14 AM by Bigguy



   I have went to Utube and I can't find any thing on it. When I go to install a package on my forum, and it shows some in the red. Saying I need to replace this, with that. I know how to use note pad ++ to do that. How do I get it too change the code on the package on my forum?


    :dontknow  :dontknow
thanks Guest for reading my post

Bigguy

You don't change the package at all. If any spot during the install of a modification is red, you have to modify those files with, like you said notepad++ or something similar. Once the files are modified you install the mod and upload the files that you modified to overwrite the files on the server.

beast

Quote from: Bigguy on Aug 04, 2019, 01:25 PMYou don't change the package at all. If any spot during the install of a modification is red, you have to modify those files with, like you said notepad++ or something similar. Once the files are modified you install the mod and upload the files that you modified to overwrite the files on the server.

   That is what I'm trying to learn how to do
thanks Guest for reading my post

Bigguy

Do you have a screenshot of the errors from the mod you are trying to install.

beast




   No but I could get them. I just wanted to know how to do it so I could do it in the future  :dontknow
thanks Guest for reading my post

Bigguy

Remember to back up those files BEFORE you overwrite them on the server though.

Bigguy

Quote from: beast on Aug 04, 2019, 01:58 PMNo but I could get them. I just wanted to know how to do it so I could do it in the future  :dontknow

No that's ok.

beast

Quote from: beast on Aug 04, 2019, 01:31 PMThat is what I'm trying to learn how to do


   I still don't know how too do it
thanks Guest for reading my post

Bigguy

Ok, you say you get install errors sometimes when trying to install mods right. You did say you know how to use notepad to edit files. You have to let the mod get errors in the pre-install check so you know what to edit. then you edit those files and install the mod, then upload the files that had errors. Maybe I should post a small tut on this.

Skhilled

Beast, do you know how to use FTP like Filezilla, etc.? If so, in the settings use Notepad++ as the default editor. Login using FTP and right-click on the file you wish to edit and choose "Edit". It will open it in Notepadd++ for you.

Just edit the the file and save it. When you save it, it will automatically update it on the server for you.

If you do not know how to use FTP then log into cPanel and go to File Manager. Download the file(s) to your computer and edit then using Notepad++. Go back to File Manager and choose Upload to upload those files back to your server.

Either way will work.

beast

Here is what I came up with on Note Pad ++. I don't know where to go from here

  PK   ?)>¬G ?  b!    StopSpammer.phpµY?Fþm??K???`??
SL?v¨G#[k[?n??³÷;»+??I'u?X»g?ûM?U«?ø?Â¥???G{ý4?ú??n·°Z©??oS±/?J?['ntw??6n·??G¢?;vGv?½v??$e\m½þ¦???º Eq8?m???AI8Ngv,öif?????T??8­0&??øø²À1Â¥SA©?ý?±???#??A6n???L±8?S¿w???¶?Gø-?n i??À;_ a^i?
e?g^?
~q?>^½?ÿxE?þ¤O????®Nûû8?NC? ???? ??KG~J|½?????!??^}8??????˺øxyq?.??U­ºc2_9b?1

And a lot more. Too big form the post
thanks Guest for reading my post

beast




   How do I convert it where I can read it?
thanks Guest for reading my post

Skhilled

You must be more specific about what you've done. What file is that? Where was the file located? You are not giving enough information so we can help you. Please, tell us Exactly what you've done so wish to do. Show screen shots if you have to.

I'm pretty sure you've opened the wrong file and file type. Notepad++ will only let you read php, txt, css, etc. files.

lurkalot

Aug 06, 2019, 12:46 PM #13 Last Edit: Aug 06, 2019, 12:49 PM by lurkalot
Stop spammer mod will fail the test when installing in 2.0.15, as it's not compatible out of the box.  You have to make the edits outlined in the support topic for it.  Read from here onward, https://www.simplemachines.org/community/index.php?topic=283309.msg3948378#msg3948378

Also not sure you need to install all those anti spam mods you listed.  I certainly wouldn't.

Skhilled

I suggest Spam Blocker which contains updated Stop Spammer code and other anti-spam tools:

https://web-develop.ca/index.php?topic=3.0

beast

Quote from: Skhilled on Aug 07, 2019, 07:18 AMI suggest Spam Blocker which contains updated Stop Spammer code and other anti-spam tools:

https://web-develop.ca/index.php?topic=3.0

   This is what I did. After I uninstalled
Quote from: Bigguy on Aug 05, 2019, 09:33 PMOk, you say you get install errors sometimes when trying to install mods right. You did say you know how to use notepad to edit files. You have to let the mod get errors in the pre-install check so you know what to edit. then you edit those files and install the mod, then upload the files that had errors. Maybe I should post a small tut on this.

   I would really like for you too do that. I understand them a lot better
thanks Guest for reading my post

beast

Quote from: Skhilled on Aug 07, 2019, 07:18 AMI suggest Spam Blocker which contains updated Stop Spammer code and other anti-spam tools:

https://web-develop.ca/index.php?topic=3.0

  After uninstalling the others. I did install that one. We will see how it does
thanks Guest for reading my post

Bigguy

Aug 14, 2019, 01:52 PM #17 Last Edit: Aug 19, 2019, 10:42 AM by Bigguy Reason: spelling
Quote from: beast on Aug 14, 2019, 12:53 PMI would really like for you too do that. I understand them a lot better
I will do that soon then.

beast

thanks Guest for reading my post